Available buyer market: Korea, Taiwan
Paging-query a list of products.
Path
GET
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products?vendorId={vendorId}&nextToken={nextToken}&maxPerPage={maxPerSize}&sellerProductId={sellerProductId}&sellerProductName={sellerProductName}&status={status}&manufacture={manufacture}&createdAt={createdAt}&violationTypes=ATTR&violationTypes=MOTA_V2&violationTypeAndOr=OR
Request Parameters
Query String Parameter
| Name | Required | Type | Description | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| vendorId | O | String | Seller ID Unique code issued to Vendor by Coupang ex) A00012345 | ||||||||||||||||||||
| nextToken | Number | Page Key value to call the next page. Not needed, or enter 1, to call the 1st page | |||||||||||||||||||||
| maxPerPage | Number | # results per page Default: 10, Max.:100 | |||||||||||||||||||||
| sellerProductId | Number | Listed Product ID | |||||||||||||||||||||
| sellerProductName | String | Listed Product Name Search for listed product name. 20 characters or less | |||||||||||||||||||||
| status | String | Vendor product status
| |||||||||||||||||||||
| manufacture | String | Manufacturer | |||||||||||||||||||||
| createdAt | String | Date/time of product listing "yyyy-MM-dd" Ex) Type in "2015-12-17" to query 2015-12-17T00:00:00 ~ 2015-12-17T23:59:59 | |||||||||||||||||||||
| ViolationTypeSearchField | List | NO_VA_V2: Products needed to be verified (suppressed) MOTA_V2: Products missing mandatory option values (suppressed) ATTR: Products with invalid attributes (low impression) | |||||||||||||||||||||
| ViolationTypeAndOr | String | This field is mandatory when input more than 2 param in "ViolationTypeSearchField" field Values:
| |||||||||||||||||||||
Request Example
not require body
Response Message
| Name | Type | Description | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number | Result code SUCCESS/ERROR | ||||||||||||||||||||
| message | String | Result message | ||||||||||||||||||||
| nextToken | String | Next page Null string if the next page is unavailable | ||||||||||||||||||||
| data | Array | |||||||||||||||||||||
| sellerProductId | String | Listed Product ID | ||||||||||||||||||||
| sellerProductName | String | Listed Product Name | ||||||||||||||||||||
| displayCategoryCode | Number | Display Category Code | ||||||||||||||||||||
| categoryId | Number | Category ID | ||||||||||||||||||||
| productId | Number | ProductID | ||||||||||||||||||||
| vendorId | String | Seller ID | ||||||||||||||||||||
| saleStartedAt | String | Date/time of starting selling "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||
| saleEndedAt | String | Date/time of stopping selling "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||
| brand | String | Brand | ||||||||||||||||||||
| statusName | String | Listed product status
| ||||||||||||||||||||
| createdAt | String | Date/time of product listing "yyyy-MM-ddTHH:mm:ss" | ||||||||||||||||||||
Response Example
{
"code": "SUCCESS",
"message": "",
"nextToken": "2",
"data": [
{
"sellerProductId": 239092172,
"sellerProductName": "R07 헬로키티 미니낚시놀이",
"displayCategoryCode": 77413,
"categoryId": 2102,
"productId": 14784194,
"vendorId": "XXXXXXXX",
"mdId": "harry867@",
"mdName": null,
"saleStartedAt": "2017-02-14T06:00:00",
"saleEndedAt": "2099-12-31T00:00:00",
"brand": "상세설명별도참조",
"statusName": "승인완료",
"createdAt": "2017-02-13T02:09:47"
},
{
"sellerProductId": 239092161,
"sellerProductName": "R07 러닝리소스 손가락 지시봉 (10개 세트) (LER2657) - 러닝리소스 지시봉 손가락 포인터 장난감",
"displayCategoryCode": 77413,
"categoryId": 2102,
"productId": 14784126,
"vendorId": "XXXXXXXX",
"mdId": "harry867@",
"mdName": null,
"saleStartedAt": "2017-02-14T06:00:00",
"saleEndedAt": "2099-12-31T00:00:00",
"brand": "상세설명별도참조",
"statusName": "승인완료",
"createdAt": "2017-02-13T02:09:46"
}
]
}Error Spec
| HTTP status code (error type) | Error message | How to resolve |
|---|---|---|
| 400 (check request parameter) | Vendor code must be entered. | Check if the seller ID (vendorId) is correct. |
| 400 (check request parameter) | Format of createdAt is `yyyy-MM-dd` | Check the format of product listing date/time (createdAt): It must be "yyyy-MM-dd." |
URL API Name
GET_PRODUCTS_BY_QUERY